Page MenuHomePhabricator

[mlir] Fix RankedTensorType::walkImmediateSubElements method
ClosedPublic

Authored by vinograd47 on Jul 7 2021, 8:08 AM.

Details

Summary

Add 'enconding' attribute visitor.
Without it ASM printer doesn't use attribute aliases for 'enconding'.

Diff Detail

Event Timeline

vinograd47 created this revision.Jul 7 2021, 8:08 AM
vinograd47 requested review of this revision.Jul 7 2021, 8:08 AM
rriddle accepted this revision.Jul 12 2021, 10:42 AM
rriddle added inline comments.
mlir/lib/IR/BuiltinTypes.cpp
518–519

Please avoid recalculating the same thing.

This revision is now accepted and ready to land.Jul 12 2021, 10:42 AM

LGTM. May be good to add a test for this, e.g. testing assembly format alias generation for the encoding field.

Fixed review remarks.

vinograd47 marked an inline comment as done.Jul 17 2021, 5:19 AM

@rriddle I've fixed your remarks.